%define	name	monster-masher
%define version 1.7
%define release 1mdk

Summary:	Clean caves by mashing monsters with stone
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Other
URL:		http://www.cs.auc.dk/~olau/monster-masher/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source:		http://www.cs.auc.dk/~olau/monster-masher/source/%{name}-%{version}.tar.bz2

BuildRequires:	gconfmm2.6-devel >= 2.0.1
BuildRequires:	libgnomeuimm2.6-devel
BuildRequires:	ImageMagick
Prereq:		GConf2

%description
Monster Masher is an action game for the GNOME desktop environment.
The basic idea is that you, as levitation worker gnome, has to clean
the caves for monsters that want to roll over you. You do the cleaning
by mashing the monsters with stone blocks.

%prep
%setup -q

%build
%configure2_5x --bindir=%{_gamesbindir}
%make

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

# menu entry
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << _EOF_
?package(%{name}): \
 command="%{_gamesbindir}/monster-masher" \
 icon="monster-masher.png" \
 longtitle="Mash monsters and save the gnomes" \
 needs="x11" \
 section="Amusement/Other" \
 title="Monster Masher" \
 startup_notify="true"
_EOF_

# icons
mkdir -p %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
install -D -m 0644      monster-masher.png %{buildroot}%{_liconsdir}/monster-masher.png
convert -geometry 32x32 monster-masher.png %{buildroot}%{_iconsdir}/monster-masher.png
convert -geometry 16x16 monster-masher.png %{buildroot}%{_miconsdir}/monster-masher.png

%{find_lang} %{name}

%post
%update_menus
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for SCHEMA in monster-masher; do
    gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null
done

%preun
if [ "$1" = "0" ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    for SCHEMA in monster-masher; do
        gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null
    done
fi

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_gamesbindir}/*
%{_datadir}/applications/monster-masher.desktop
%{_datadir}/pixmaps/*
%{_datadir}/%{name}
%{_sysconfdir}/gconf/schemas/*.schemas
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Wed Jul  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.7-1mdk
- adapt buildrequires for gnomemm 2.6
- New release 1.7

* Tue Jun 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1-2mdk
- rebuild for new g++

* Sat May 29 2004 Abel Cheung <deaddog@deaddog.org> 1.6.1-1mdk
- New version

* Fri Apr 23 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.5.2-1mdk
- 1.5.2

* Fri Jan  9 2004 Götz Waschk <waschk@linux-mandrake.com> 1.5-1mdk
- adapt the file list
- new version

* Thu Nov 06 2003 Abel Cheung <deaddog@deaddog.org> 1.4-1mdk
- 1.4

* Fri Oct 17 2003 Abel Cheung <deaddog@deaddog.org> 1.3-2mdk
- Rebuild against newer libgnomemm

* Wed Oct 01 2003 Abel Cheung <deaddog@deaddog.org> 1.3-1mdk
- 1.3
- Move binary to $gamesbindir

* Sun Sep 21 2003 Abel Cheung <deaddog@deaddog.org> 1.2-1mdk
- First Mandrake package
